<div class="c-overlay">
  <div class="panel panel-default c-overlay-panel c-overlay-element">
    <form [formGroup]="newForm" #form="ngForm" (ngSubmit)="register(form.value)">
      <div class="form-group">
        <label for="name">Name</label>
        <input type="text" class="form-control" placeholder="Name" formControlName="imgName" required>
        <small class="form-text text-muted">Name des Bilds</small>
      </div>

      <div *ngIf="imgName.invalid && (imgName.dirty || imgName.touched)" class="alert alert-danger">
        <div *ngIf="imgName.errors.required">
          Name wird benötigt
        </div>
        <div *ngIf="imgName.errors.pattern">
          Die Zeichen \,/,:,*,?,",&lt;,>,| sind nicht erlaubt
        </div>
      </div>

      <div class="form-group">
        <label for="size">Größe</label>
        <div>
          <input type="number" class="form-control c-number-left" formControlName="height" required>
          <input type="number" class="form-control c-number-right" formControlName="width" required>
          <small  class="form-text text-muted">Größe des Bilds in Pixel</small>
        </div>
      </div>
      <div *ngIf="height.invalid && (height.dirty || height.touched)" class="alert alert-danger">
          <div>
            Breite bitte zwischen 0 und {{config.overlay.maxWidth}} angeben
          </div>
      </div>
      <div *ngIf="width.invalid && (width.dirty || width.touched)" class="alert alert-danger">
        <div>
          Höhe bitte zwischen 0 und {{config.overlay.maxHeight}} angeben
        </div>
      </div>
      <div class="form-group">
        <label for="format">Format</label>
        <div class="selectContainer">
          <select class="form-control" formControlName="format" required>
            <option *ngFor="let f of formats; let i = index" [selected]="i == 0">{{f}}</option>
          </select>
        </div>
        <small  class="text-muted">PPM: Farbig,</small>
        <small  class="text-muted">PGM: Graustufen,</small>
        <small  class="text-muted">PBM: Schwarz-weiß</small>
      </div>
      <button type="submit" class="btn btn-primary">Erstellen</button>
      <button class="btn btn-danger c-cancel" (click)="overlayOff()">Abbrechen</button>
    </form>
  </div>
</div>
